Module java.desktop
Package java.awt

# Class Container.AccessibleAWTContainer.AccessibleContainerHandler

java.lang.Object
java.awt.Container.AccessibleAWTContainer.AccessibleContainerHandler

All Implemented Interfaces:
  `ContainerListener`, `Serializable`, `EventListener`

Enclosing class:
  Container.AccessibleAWTContainer

    protected class Container.AccessibleAWTContainer.AccessibleContainerHandler
    extends Object
    implements ContainerListener, Serializable

Fire `PropertyChange` listener, if one is registered, when children are added or removed.

Since:
  1.3
See Also:
  Serialized Form

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `AccessibleContainerHandler()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.ContainerListener

`componentAdded, componentRemoved`

## Constructor Details

### AccessibleContainerHandler

protected AccessibleContainerHandler()